LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros
osc_notify.h File Reference

Go to the source code of this file.

## Macros
#define | LIVES_OSC_NOTIFY_FRAME_SYNCH 1
| sent when a frame is displayed More...
#define | LIVES_OSC_NOTIFY_PLAYBACK_STARTED 2
| sent when a/v playback starts or clip is switched More...
#define | LIVES_OSC_NOTIFY_PLAYBACK_STOPPED 3
| sent when a/v playback ends More...
#define | LIVES_OSC_NOTIFY_PLAYBACK_STOPPED_RD 4
#define | LIVES_OSC_NOTIFY_RECORD_STARTED 32
| sent when record starts (TODO) More...
#define | LIVES_OSC_NOTIFY_RECORD_STOPPED 33
| sent when record stops (TODO) More...
#define | LIVES_OSC_NOTIFY_QUIT 64
| sent when app quits More...
#define | LIVES_OSC_NOTIFY_CLIP_OPENED 128
| sent after a clip is opened More...
#define | LIVES_OSC_NOTIFY_CLIP_CLOSED 129
| sent after a clip is closed More...
#define | LIVES_OSC_NOTIFY_CLIPSET_OPENED 256
| sent after a clip set is opened More...
#define | LIVES_OSC_NOTIFY_CLIPSET_SAVED 257
| sent after a clip set is closed More...
#define | LIVES_OSC_NOTIFY_SUCCESS 512
| for OSC only (not for C++) More...
#define | LIVES_OSC_NOTIFY_FAILED 1024
| for OSC only (not for C++) More...
#define | LIVES_OSC_NOTIFY_CANCELLED 2048
| for OSC only (not for C++) More...
#define | LIVES_OSC_NOTIFY_MODE_CHANGED 4096
| mode changed to clip editor or to multitrack More...

## Macro Definition Documentation

#define LIVES_OSC_NOTIFY_CANCELLED 2048

for OSC only (not for C++)

#define LIVES_OSC_NOTIFY_CLIP_CLOSED 129

sent after a clip is closed

#define LIVES_OSC_NOTIFY_CLIP_OPENED 128

sent after a clip is opened

#define LIVES_OSC_NOTIFY_CLIPSET_OPENED 256

sent after a clip set is opened

#define LIVES_OSC_NOTIFY_CLIPSET_SAVED 257

sent after a clip set is closed

#define LIVES_OSC_NOTIFY_FAILED 1024

for OSC only (not for C++)

#define LIVES_OSC_NOTIFY_FRAME_SYNCH 1

sent when a frame is displayed

#define LIVES_OSC_NOTIFY_MODE_CHANGED 4096

mode changed to clip editor or to multitrack

#define LIVES_OSC_NOTIFY_PLAYBACK_STARTED 2

sent when a/v playback starts or clip is switched

#define LIVES_OSC_NOTIFY_PLAYBACK_STOPPED 3

sent when a/v playback ends

#define LIVES_OSC_NOTIFY_PLAYBACK_STOPPED_RD 4

sent when a/v playback ends and there is recorded data for rendering/previewing

#define LIVES_OSC_NOTIFY_QUIT 64

sent when app quits

#define LIVES_OSC_NOTIFY_RECORD_STARTED 32

sent when record starts (TODO)

#define LIVES_OSC_NOTIFY_RECORD_STOPPED 33

sent when record stops (TODO)

#define LIVES_OSC_NOTIFY_SUCCESS 512

for OSC only (not for C++)